# $Revision: 1.8 $, $Date: 2005/12/31 10:36:33 $
Summary:	Embedded Ruby
Summary(pl):	Osadzony Ruby
Name:		ruby-ERuby
Version:	1.0.5
Release:	4
License:	GPL
Group:		Development/Languages
Source0:	http://modruby.net/archive/eruby-%{version}.tar.gz
# Source0-md5:	af294fe34dc6cf24228aec95167b3099
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Obsoletes:	ruby-eruby
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
eRuby is a language to embed Ruby codes into text files. For example,
you can embed Ruby codes into HTML files.

%description -l pl
eRuby to jzyk do osadzania kodu w jzyku Ruby w plikach tekstowych.
Mona na przykad osadzi kod w Rubym w plikach HTML.

%prep
%setup -q -n eruby-%{version}

%build
ruby configure.rb
%{__make}

rdoc --ri --op ri
rdoc --op rdoc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_sitearchdir},%{_bindir},%{ruby_ridir}}

install eruby.so $RPM_BUILD_ROOT%{ruby_sitearchdir}
install eruby $RPM_BUILD_ROOT%{_bindir}

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* rdoc
%attr(755,root,root) %{ruby_sitearchdir}/*
%attr(755,root,root) %{_bindir}/eruby
%{ruby_ridir}/ERuby

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-ERuby.spec,v $
Revision 1.8  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.7  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.6  2005/12/27 09:36:39  twittner
- (B)R: s/ruby/ruby-modules/, rel. 4 (mass commit through script)

Revision 1.5  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.4  2005/03/10 01:11:23  aredridel
- added rdocs

Revision 1.3  2005/01/05 18:17:22  aredridel
- rel 3 for new ruby
- STBR

Revision 1.2  2004/12/09 05:46:51  aredridel
- fix perms
- rel 2
- STBR

Revision 1.1  2004/08/21 07:56:29  aredridel
- moved to ruby-ERuby.spec

Revision 1.2  2004/07/16 22:19:31  qboosh
- pl, cut template log

Revision 1.1  2004/07/16 01:52:46  aredridel
- added. STBR
